package com.yijia.integral.domain;

import java.math.BigDecimal;
import java.util.List;

import com.yijia.customer.domain.CustomerGradeSetting;
import com.yijia.station.domain.StationOilPrice;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.yijia.common.annotation.Excel;
import com.yijia.common.core.domain.BaseEntity;

/**
 * 【请填写功能名称】对象 integral_rule_detail
 *
 * @author yijia
 * @date 2021-03-09
 */
public class IntegralRuleDetail extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    private Long id;

    /** 规则主表主键id */
    @Excel(name = "规则主表主键id")
    private Long parentId;

    /** 规则满足条件（满足多少升，多少元） */
    @Excel(name = "规则满足条件", readConverterExp = "满=足多少升，多少元")
    private BigDecimal ruleTerms;

    /** 会员等级 */
    @Excel(name = "会员等级")
    private String grade;

    /** 油品名称 */
    @Excel(name = "油品名称")
    private String oilName;

    /** 每消费金额 */
    @Excel(name = "每消费金额")
    private BigDecimal saleAmt;

    /** 兑换积分 */
    @Excel(name = "兑换积分")
    private BigDecimal integral;

    /** 规则类型 */
    @Excel(name = "规则类型")
    private String ruleType;
    private String oilType;

    private List<CustomerGradeSetting> gradeList;

    public List<CustomerGradeSetting> getGradeList() {
        return gradeList;
    }

    public void setGradeList(List<CustomerGradeSetting> gradeList) {
        this.gradeList = gradeList;
    }

    public String getOilType() {
        return oilType;
    }

    public void setOilType(String oilType) {
        this.oilType = oilType;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setParentId(Long parentId)
    {
        this.parentId = parentId;
    }

    public Long getParentId()
    {
        return parentId;
    }
    public void setRuleTerms(BigDecimal ruleTerms)
    {
        this.ruleTerms = ruleTerms;
    }

    public BigDecimal getRuleTerms()
    {
        return ruleTerms;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public void setOilName(String oilName)
    {
        this.oilName = oilName;
    }

    public String getOilName()
    {
        return oilName;
    }
    public void setSaleAmt(BigDecimal saleAmt)
    {
        this.saleAmt = saleAmt;
    }

    public BigDecimal getSaleAmt()
    {
        return saleAmt;
    }
    public void setIntegral(BigDecimal integral)
    {
        this.integral = integral;
    }

    public BigDecimal getIntegral()
    {
        return integral;
    }
    public void setRuleType(String ruleType)
    {
        this.ruleType = ruleType;
    }

    public String getRuleType()
    {
        return ruleType;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("parentId", getParentId())
            .append("ruleTerms", getRuleTerms())
            .append("grade", getGrade())
            .append("oilName", getOilName())
            .append("saleAmt", getSaleAmt())
            .append("integral", getIntegral())
            .append("ruleType", getRuleType())
            .toString();
    }
}
